apiVersion: multicluster.x-k8s.io/v1alpha1
kind: ServiceExport
metadata:
  creationTimestamp: "2024-12-12T00:25:28Z"
  generation: 1
  managedFields:
  - apiVersion: multicluster.x-k8s.io/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:metadata:
        f:ownerReferences:
          .: {}
          k:{"uid":"370e9276-dd3c-4ff9-bbad-7d5c46e03870"}: {}
    manager: rook
    operation: Update
    time: "2024-12-12T00:25:28Z"
  - apiVersion: multicluster.x-k8s.io/v1alpha1
    fieldsType: FieldsV1
    fieldsV1:
      f:status:
        .: {}
        f:conditions:
          .: {}
          k:{"type":"Ready"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
          k:{"type":"Valid"}:
            .: {}
            f:lastTransitionTime: {}
            f:message: {}
            f:reason: {}
            f:status: {}
            f:type: {}
    manager: lighthouse-agent
    operation: Update
    subresource: status
    time: "2025-01-03T15:58:13Z"
  name: rook-ceph-osd-1
  namespace: openshift-storage
  ownerReferences:
  - apiVersion: ceph.rook.io/v1
    kind: CephCluster
    name: ocs-storagecluster-cephcluster
    uid: 370e9276-dd3c-4ff9-bbad-7d5c46e03870
  resourceVersion: "35160652"
  uid: 64880906-0636-466d-a70b-4f79a1822ccf
status:
  conditions:
  - lastTransitionTime: "2025-01-03T15:58:12Z"
    message: ""
    reason: ""
    status: "True"
    type: Valid
  - lastTransitionTime: "2024-12-12T00:25:29Z"
    message: Service was successfully exported to the broker
    reason: ""
    status: "True"
    type: Ready
